@font-face {
  font-family: 'Pretendard';
  font-weight: 700;
  font-display: swap;
  src: local('Pretendard Bold'), url(../fonts/Pretendard-Bold.subset.woff2) format('woff2'), url(../fonts/Pretendard-Bold.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 600;
  font-display: swap;
  src: local('Pretendard SemiBold'), url(../fonts/Pretendard-SemiBold.subset.woff2) format('woff2'), url(../fonts/Pretendard-SemiBold.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 500;
  font-display: swap;
  src: local('Pretendard Medium'), url(../fonts/Pretendard-Medium.subset.woff2) format('woff2'), url(../fonts/Pretendard-Medium.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 400;
  font-display: swap;
  src: local('Pretendard Regular'), url(../fonts/Pretendard-Regular.subset.woff2) format('woff2'), url(../fonts/Pretendard-Regular.subset.woff) format('woff');
}

:root {
  /* color */
  --blue100: #3e80eb;
  --blue200: #113570;

  --org100: #ff9d6b;
  --org200: #ff703a;

  /* bluegray-color */
  --gray-50: #fafafa;
  --gray-100: #f5f5f5;
  --gray-200: #ecedf0;
  --gray-300: #eeeeee;
  --gray-400: #bdbdbd;
  --gray-500: #9e9e9e;
  --gray-600: #757575;
  --gray-700: #616161;
  --gray-800: #424242;
  --gray-900: #424242;
  --white: #fff;
  --black: #000;
  --disabled: #fafafa;

  /* border-radius */
  --br-s: 4px;
  --br-m: 6px;
  --br-l: 8px;
  --br-xl: 16px;
  --br-fill: 999px;

  /* bg-color */
  --lt-blue-100: #f8fbff;
  --lt-gray-100: #fafafa;

  /* width height */
  --cont-width: 1200px;
  --head-height: 90px;

  /*font-weight */
  --f-regular: 400;
  --f-medium: 500;
  --f-semibold: 600;
  --f-bold: 700;
}

/* ==========================================================================
	General Styles
========================================================================== */

body {
  font-family: 'Pretendard', sans-serif;
  color: var(--bluegray-600);
  font-weight: var(--f-medium);
  /* font-weight: var(--f-semibold); */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-size: 14px;
}

::selection {
  color: #fff;
  background: #5882ff;
}

.inner-wrap {
  width: var(--cont-width);
  padding-left: 30px;
  padding-right: 30px;
  margin: 0 auto;
  position: relative;
}
h2 {
  font-size: 22px;
}
/* ==========================================================================
	$Header
========================================================================== */
.header {
  width: 100%;
  background-color: var(--white);
  border-bottom: 1px solid var(--gray-300);
}

.header .inner-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: var(--head-height);
}
.header .logo {
  width: 184px;
}

/* button */
.btn-area {
  display: inline-flex;
  gap: 10px;
}
.header-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px 12px;
  border: 1px solid var(--gray-300);
  border-radius: var(--br-m);
  color: var(--gray-600);
  font-weight: var(--f-semibold);
}
.header-btn__demo {
  border-color: var(--org100);
  color: var(--org200);
}
/* ==========================================================================
	top
========================================================================== */
.top {
  position: relative;
  display: flex;
  flex-direction: column;
  background-image: url(../images/bg-left.svg), url(../images/bg-right.svg);
  background-repeat: no-repeat, no-repeat;
  background-position: left 300px, right top;
}
.top::after {
  content: '';
  margin-top: -300px;
  border-bottom: 300px solid var(--blue100);
}
.top .inner-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 80px;
  padding-top: 150px;
  padding-bottom: 60px;
}

.top__textbox {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  font-size: 80px;
  color: var(--gray-900);
  font-weight: var(--f-bold);
  word-break: keep-all;
}

.top__textbox p {
  font-size: 20px;
  color: var(--gray-700);
  text-align: center;
  font-weight: var(--f-medium);
}
.top__img {
  display: inline-block;
}
/* ==========================================================================
point
========================================================================== */
.point {
  background-color: var(--blue200);
  padding: 60px 0;
}

.poin-wrap {
  display: flex;
  flex-flow: wrap;
  gap: 24px;
}
.point__box:nth-child(1),
.point__box:nth-child(2),
.point__box:nth-child(3) {
  max-width: 364px;
}
.point__box:nth-child(4),
.point__box:nth-child(5) {
  flex-direction: row;
}
.point__box {
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding: 24px 30px;
  background-color: var(--white);
  border-radius: var(--br-xl);
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: calc(50% - 12px);
}
.point__box img {
  width: 64px;
}
.point__tit {
  font-size: 24px;
  font-weight: var(--f-semibold);
  color: var(--gray-900);
}
.point__box p {
  font-size: 16px;
  font-weight: var(--f-semibold);
  color: var(--gray-600);
  margin-top: 14px;
  word-break: keep-all;
}
.point__explanation {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 4px;
  font-size: 14px;
  color: var(--gray-500);
  margin-top: 14px;
  padding: 12px 8px;
  border-top: 1px dashed var(--gray-400);
  background-color: var(--gray-50);
}
.point__explanation li {
  position: relative;
  line-height: 20px;
  padding-left: 8px;
}
.point__explanation li::before {
  content: '';
  position: absolute;
  top: 8px;
  left: 0;
  width: 3px;
  height: 3px;
  background-color: var(--gray-500);
}

/*==========================================================
 modal popup
===========================================================*/
.modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
  opacity: 0;
  visibility: hidden;
  transition: all 0.4s;
}
.modal.show {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}
.modal__dim {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  z-index: 999;
}

.modal__body {
  width: auto;
  height: auto;
  display: flex;
  flex-direction: column;
  background: var(--white);
  z-index: 1000;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 3px 8px 0px;
  border-radius: var(--br-l);
}

.modal__tit {
  width: 100%;
  font-weight: var(--f-bold);
  color: var(--gray-800);
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid var(--bluegray-300);
  padding: 24px 24px 16px 24px;
  border-bottom: 1px solid var(--gray-300);
}
.modal__close-btn {
  width: 24px;
  height: 24px;
}
.modal__close-btn img {
  filter: brightness(0) saturate(100%) invert(63%) sepia(6%) saturate(693%) hue-rotate(174deg) brightness(95%) contrast(98%);
}
.modal__close-btn:hover img {
  filter: brightness(0) saturate(100%) invert(36%) sepia(31%) saturate(241%) hue-rotate(178deg) brightness(94%) contrast(95%);
}

.modal__cont {
  width: 100%;
  padding: 30px;
  display: flex;
  flex-direction: column;
  gap: 8px;
  max-height: calc(90vh - 160px);
  overflow-y: auto;
  white-space: pre-line;
}

.modal__bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;
  padding: 16px 30px 24px 30px;
}
.modal__bottom button {
  flex: 1;
}
.modal__cont--300 {
  width: 300px;
}
.modal__cont--400 {
  width: 400px;
}
.modal__cont--500 {
  width: 500px;
}
.modal__cont--600 {
  width: 600px;
}
.flex .inp-group {
  flex: 1;
}

/*==================================
      input text
  ==================================*/

input:disabled {
  cursor: default !important;
  background-color: var(--gray-50) !important;
  color: var(--gray-400) !important;
  border-color: var(--gray-200) !important;
}
input[type='text'],
input[type='password'],
input[type='number'] {
  width: 100%;
  height: 40px;
  padding: 0 8px;
  color: var(--gray-800);
  font-size: 14px;
  background: var(--white);
  border: 1px solid var(--gray-300);
  border-radius: var(--br-s);
  outline: none;
}
input:hover,
input:focus {
  border-color: var(--gray-400);
}

/* placeholder */
::-webkit-input-placeholder {
  color: var(--gray-400);
  font-size: 12px;
  font-weight: var(--f-medium);
}
::-moz-placeholder {
  color: var(--gray-400);
  font-size: 12px;
  font-weight: var(--f-medium);
}
:-ms-input-placeholder {
  color: var(--gray-400);
  font-size: 12px;
  font-weight: var(--f-medium);
}
input:-moz-placeholder {
  color: var(--gray-400);
  font-size: 12px;
  font-weight: var(--f-medium);
}
.inp-with-icon {
  position: relative;
}
.inp-with-icon .icon {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  position: absolute;
  right: 12px;
  top: 0;
  filter: brightness(0) saturate(100%) invert(91%) sepia(56%) saturate(1848%) hue-rotate(178deg) brightness(88%) contrast(90%);
}

/*==================================
      button
  ==================================*/
.btn {
  display: flex;
  align-items: center;
  justify-content: center;
  border-width: 1px;
  border-style: solid;
  border-radius: 6px;
  font-size: 16px;
  padding: 0 12px;
  font-weight: var(--f-bold);
  transition: all 0.3s;
}

.btn--l {
  height: 48px;
}
.btn--m {
  height: 42px;
}
.btn--s {
  height: 36px;
  font-size: 14px;
  font-weight: var(--f-semibold);
}
.btn--xs {
  height: 30px;
  font-size: 12px;
  font-weight: var(--f-semibold);
}
.btn--round {
  border-radius: 50px;
}

.btn--primary {
  background-color: var(--blue100);
  border-color: var(--blue100);
  color: var(--white);
}
.btn--primary:hover {
  background-color: var(--primary-hover);
  color: var(--white);
}

button:disabled {
  cursor: default;
  background-color: var(--gray-100);
  color: var(--gray-400);
  border-color: var(--gray-100);
}
button:disabled:hover {
  filter: unset;
}
.footer {
  width: 100%;
  border-top: 1px solid #51668a;
  background-color: var(--blue200);
}
.footer-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 24px;
  padding-bottom: 24px;
}
.copy {
  font-size: 12px;
  color: var(--gray-500);
  font-weight: var(--f-regular);
}
